<?php

class WPSC_Paybox_Threetime_Gateway extends WPSC_Paybox_Abstract_Gateway {

    protected $defaultTitle = 'Paybox 3 times payment';
    protected $defaultDesc = 'xxxx';
    protected $type = 'threetime';

    public function __construct() {
        $this->defaultTitle = __('Paybox 3X', 'paybox');
        $this->id = 'paybox_3x';
        parent::__construct();
    }

    public function isAvailable() {
        global $wpsc_cart;
        $minimal = $this->_config->getAmount();
        if (empty($minimal)) {
            return true;
        }
        $total = $wpsc_cart->calculate_total_price();
        return $total >= $minimal;
    }
}
